void StoreMoves(){
  EEPROM.write(0, 5);
  Store_Move_0();
  Store_Move_1();
  Store_Move_2();
  Store_Move_3();
  Store_Move_4();
  Store_Move_5();
}

//-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=--=-=-=-=-=-=-=-=-=-=-=-=-=

void Store_Move_0() { //Stand_By
  EEPROM.write((490+(2*0)), 1); //moveStart
  delay(5);
  EEPROM.write(1, 1);           //sv = 1 = waist
  delay(5);
  EEPROM.write(2, 65);          //pos = 65
  delay(5);
  EEPROM.write(3, 2);           //sv = 2 = Lshoulder
  delay(5);
  EEPROM.write(4, 180);         //pos = 180
  delay(5);
  EEPROM.write(5, 3);           //sv = 3 = Rshoulder
  delay(5);
  EEPROM.write(6, 180);         //pos = 180
  delay(5);
  EEPROM.write(7, 4);           //sv = 4 = Larm
  delay(5);
  EEPROM.write(8, 85);          //pos = 85
  delay(5);
  EEPROM.write(9, 5);           //sv = 5 = Rarm
  delay(5);
  EEPROM.write(10, 80);         //pos = 80
  delay(5);
  EEPROM.write(11, 0);          //sv = 0 = step delay
  delay(5);
  EEPROM.write(12, 1);          //pos = 1
  delay(5);
  EEPROM.write((491+(2*0)), 12); //moveEnd
  delay(5);
}

void Store_Move_1() { //Rarm_wave
  EEPROM.write((490+(2*1)), 13); //moveStart
  delay(5);
  EEPROM.write(13, 3);           //sv = 3 = Rshoulder
  delay(5);
  EEPROM.write(14, 0);           //pos = 0
  delay(5);
  EEPROM.write(15, 0);          //sv = 0 = step delay
  delay(5);
  EEPROM.write(16, 3);          //pos = 3
  delay(5);
  EEPROM.write(17, 5);           //sv = 5 = Rarm
  delay(5);
  EEPROM.write(18, 120);         //pos = 120
  delay(5);
  EEPROM.write(19, 0);          //sv = 0 = step delay
  delay(5);
  EEPROM.write(20, 2);          //pos = 2
  delay(5);
  EEPROM.write(21, 5);           //sv = 5 = Rarm
  delay(5);
  EEPROM.write(22, 60);          //pos = 60
  delay(5);
  EEPROM.write(23, 0);          //sv = 0 = step delay
  delay(5);
  EEPROM.write(24, 2);          //pos = 2
  delay(5);
  EEPROM.write(25, 5);           //sv = 5 = Rarm
  delay(5);
  EEPROM.write(26, 120);         //pos = 120
  delay(5);
  EEPROM.write(27, 0);          //sv = 0 = step delay
  delay(5);
  EEPROM.write(28, 2);          //pos = 2
  delay(5);
  EEPROM.write(29, 5);           //sv = 5 = Rarm
  delay(5);
  EEPROM.write(30, 80);         //pos = 80
  delay(5);
  EEPROM.write(31, 0);          //sv = 0 = step delay
  delay(5);
  EEPROM.write(32, 2);          //pos = 2
  delay(5);
  EEPROM.write(33, 3);          //sv = 3 = Rshoulder
  delay(5);
  EEPROM.write(34, 180);        //pos = 180
  delay(5);
  EEPROM.write(35, 0);          //sv = 0 = step delay
  delay(5);
  EEPROM.write(36, 3);          //pos = 3
  delay(5);
  EEPROM.write((491+(2*1)), 36); //moveEnd
  delay(5);
}

void Store_Move_2() { //Pickup_Small_Object
  EEPROM.write((490+(2*2)), 37); //moveStart
  delay(5);
  EEPROM.write(37, 2);           //sv = 2 = Lshoulder
  delay(5);
  EEPROM.write(38, 45);           //pos = 45
  delay(5);
  EEPROM.write(39, 3);           //sv = 3 Rshoulder
  delay(5);
  EEPROM.write(40, 45);         //pos = 45
  delay(5);
  EEPROM.write(41, 0);          //sv = 0 = step delay
  delay(5);
  EEPROM.write(42, 1);          //pos = 1
  delay(5);
  EEPROM.write(43, 1);           //sv = 1 = Waist
  delay(5);
  EEPROM.write(44, 155);          //pos = 155
  delay(5);
  EEPROM.write(45, 0);          //sv = 0 = step delay
  delay(5);
  EEPROM.write(46, 3);          //pos = 3
  delay(5);
  EEPROM.write(47, 5);           //sv = 5 = Rarm
  delay(5);
  EEPROM.write(48, 35);          //pos = 35
  delay(5);
  EEPROM.write(49, 4);           //sv = 4 = Larm
  delay(5);
  EEPROM.write(50, 130);          //pos = 130
  delay(5);
  EEPROM.write(51, 0);          //sv = 0 = step delay
  delay(5);
  EEPROM.write(52, 1);          //pos = 1
  delay(5);
  EEPROM.write(53, 1);           //sv = 1 = Waist
  delay(5);
  EEPROM.write(54, 65);          //pos = 65
  delay(5);
  EEPROM.write(55, 2);           //sv = 2 = Lshoulder
  delay(5);
  EEPROM.write(56, 78);           //pos = 80
  delay(5);
  EEPROM.write(57, 3);           //sv = 3 = Rshoulder
  delay(5);
  EEPROM.write(58, 80);         //pos = 80
  delay(5);
  EEPROM.write(59, 0);          //sv = 0 = step delay
  delay(5);
  EEPROM.write(60, 2);          //pos = 2
  delay(5);
  EEPROM.write((491+(2*2)), 60); //moveEnd
  delay(5);
}

void Store_Move_3() { //Release_Small
  EEPROM.write((490+(2*3)), 61); //moveStart
  delay(5);
  EEPROM.write(61, 1);           //sv = 1 = Waist
  delay(5);
  EEPROM.write(62, 155);          //pos = 155
  delay(5);
  EEPROM.write(63, 2);           //sv = 2 = Lshoulder
  delay(5);
  EEPROM.write(64, 45);           //pos = 45
  delay(5);
  EEPROM.write(65, 3);           //sv = 3 Rshoulder
  delay(5);
  EEPROM.write(66, 45);         //pos = 45
  delay(5);
  EEPROM.write(67, 0);          //sv = 0 = step delay
  delay(5);
  EEPROM.write(68, 3);          //pos = 3
  delay(5);
  EEPROM.write(69, 4);           //sv = 4 = Larm
  delay(5);
  EEPROM.write(70, 85);           //pos = 85
  delay(5);
  EEPROM.write(71, 5);           //sv = 5 = Rarm
  delay(5);
  EEPROM.write(72, 80);         //pos = 80
  delay(5);
  EEPROM.write(73, 0);          //sv = 0 = step delay
  delay(5);
  EEPROM.write(74, 1);          //pos = 1
  delay(5);
  EEPROM.write(75, 1);           //sv = 1 = Waist
  delay(5);
  EEPROM.write(76, 65);          //pos = 65
  delay(5);
  EEPROM.write(77, 0);          //sv = 0 = step delay
  delay(5);
  EEPROM.write(78, 3);          //pos = 3
  delay(5);
  EEPROM.write(79, 2);           //sv = 2 = Lshoulder
  delay(5);
  EEPROM.write(80, 180);         //pos = 180
  delay(5);
  EEPROM.write(81, 3);           //sv = 3 = Rshoulder
  delay(5);
  EEPROM.write(82, 180);         //pos = 180
  delay(5);
  EEPROM.write(83, 0);          //sv = 0 = step delay
  delay(5);
  EEPROM.write(84, 2);          //pos = 2
  delay(5);
  EEPROM.write((491+(2*3)), 84); //moveEnd
  delay(5);
}

void Store_Move_4() { //Pickup_Big_Object
  EEPROM.write((490+(2*4)), 85); //moveStart
  delay(5);
  EEPROM.write(85, 2);           //sv = 2 = Lshoulder
  delay(5);
  EEPROM.write(86, 45);           //pos = 45
  delay(5);
  EEPROM.write(87, 3);           //sv = 3 Rshoulder
  delay(5);
  EEPROM.write(88, 45);         //pos = 45
  delay(5);
  EEPROM.write(89, 0);          //sv = 0 = step delay
  delay(5);
  EEPROM.write(90, 1);          //pos = 1
  delay(5);
  EEPROM.write(91, 1);           //sv = 1 = Waist
  delay(5);
  EEPROM.write(92, 165);          //pos = 165
  delay(5);
  EEPROM.write(93, 2);           //sv = 2 = Lshoulder
  delay(5);
  EEPROM.write(94, 10);           //pos = 10
  delay(5);
  EEPROM.write(95, 3);           //sv = 3 Rshoulder
  delay(5);
  EEPROM.write(96, 0);          //pos = 0
  delay(5);
  EEPROM.write(97, 0);          //sv = 0 = step delay
  delay(5);
  EEPROM.write(98, 3);          //pos = 3
  delay(5);
  EEPROM.write(99, 5);           //sv = 5 = Rarm
  delay(5);
  EEPROM.write(100, 35);          //pos = 35
  delay(5);
  EEPROM.write(101, 4);           //sv = 4 = Larm
  delay(5);
  EEPROM.write(102, 130);          //pos = 130
  delay(5);
  EEPROM.write(103, 0);          //sv = 0 = step delay
  delay(5);
  EEPROM.write(104, 1);          //pos = 1
  delay(5);
  EEPROM.write(105, 1);           //sv = 1 = Waist
  delay(5);
  EEPROM.write(106, 85);          //pos = 85
  delay(5);
  EEPROM.write(107, 0);          //sv = 0 = step delay
  delay(5);
  EEPROM.write(108, 2);          //pos = 2
  delay(5);
  EEPROM.write(109, 2);           //sv = 2 = Lshoulder
  delay(5);
  EEPROM.write(110, 78);           //pos = 78
  delay(5);
  EEPROM.write(111, 3);           //sv = 3 = Rshoulder
  delay(5);
  EEPROM.write(112, 80);         //pos = 80
  delay(5);
  EEPROM.write(113, 1);           //sv = 1 = Waist
  delay(5);
  EEPROM.write(114, 65);          //pos = 65
  delay(5);
  EEPROM.write(115, 0);          //sv = 0 = step delay
  delay(5);
  EEPROM.write(116, 2);          //pos = 2
  delay(5);
  EEPROM.write((491+(2*4)), 116); //moveEnd
  delay(5);
}

void Store_Move_5() { //Release_Big_Obj
  EEPROM.write((490+(2*5)), 117); //moveStart
  delay(5);
  EEPROM.write(117, 2);           //sv = 2 = Lshoulder
  delay(5);
  EEPROM.write(118, 10);           //pos = 10
  delay(5);
  EEPROM.write(119, 3);           //sv = 3 Rshoulder
  delay(5);
  EEPROM.write(120, 0);         //pos = 0
  delay(5);
  EEPROM.write(121, 1);           //sv = 1 = Waist
  delay(5);
  EEPROM.write(122, 85);          //pos = 85
  delay(5);
  EEPROM.write(123, 0);          //sv = 0 = step delay
  delay(5);
  EEPROM.write(124, 2);          //pos = 2
  delay(5);
  EEPROM.write(125, 1);           //sv = 1 = Waist
  delay(5);
  EEPROM.write(126, 165);          //pos = 165
  delay(5);
  EEPROM.write(127, 0);          //sv = 0 = step delay
  delay(5);
  EEPROM.write(128, 3);          //pos = 3
  delay(5);
  EEPROM.write(129, 4);           //sv = 4 = Larm
  delay(5);
  EEPROM.write(130, 85);           //pos = 85
  delay(5);
  EEPROM.write(131, 5);           //sv = 5 = Rarm
  delay(5);
  EEPROM.write(132, 80);         //pos = 80
  delay(5);
  EEPROM.write(133, 0);          //sv = 0 = step delay
  delay(5);
  EEPROM.write(134, 1);          //pos = 1
  delay(5);
  EEPROM.write(135, 2);           //sv = 2 = Lshoulder
  delay(5);
  EEPROM.write(136, 80);           //pos = 80
  delay(5);
  EEPROM.write(137, 3);           //sv = 3 Rshoulder
  delay(5);
  EEPROM.write(138, 80);         //pos = 80
  delay(5);
  EEPROM.write(139, 1);           //sv = 1 = Waist
  delay(5);
  EEPROM.write(140, 65);          //pos = 65
  delay(5);
  EEPROM.write(141, 0);          //sv = 0 = step delay
  delay(5);
  EEPROM.write(142, 3);          //pos = 3
  delay(5);
  EEPROM.write(143, 2);           //sv = 2 = Lshoulder
  delay(5);
  EEPROM.write(144, 180);         //pos = 180
  delay(5);
  EEPROM.write(145, 3);           //sv = 3 = Rshoulder
  delay(5);
  EEPROM.write(146, 180);         //pos = 180
  delay(5);
  EEPROM.write(147, 0);          //sv = 0 = step delay
  delay(5);
  EEPROM.write(148, 2);          //pos = 2
  delay(5);
  EEPROM.write((491+(2*5)), 148); //moveEnd
  delay(5);
}

